# JarDirectory

open class JarDirectory

Represents a jar directory element of an idea module library.

## Constructors

JarDirectory
Link copied to clipboard
constructor(path: Path, recursive: Boolean)

## Properties

path
Link copied to clipboard
open var path: Path

## Functions

equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
isRecursive
Link copied to clipboard
open fun isRecursive(): Boolean
setRecursive
Link copied to clipboard
open fun setRecursive(recursive: Boolean)
toString
Link copied to clipboard
open fun toString(): String